#
# Copyright 2008 TKK/ComNet
# Released under GPLv3. See LICENSE.txt for details.
#

# Common requires for the spec files. Specs are used for describing and testing 
# the behavior of the code. See http://rspec.rubyforge.org/ for more info.

$LOAD_PATH.unshift "#{File.dirname(__FILE__)}/../lib"
require 'rubygems'
require 'spec'
require 'blunder'

include Blunder

CONFIG.eid = ARGV.shift
CONFIG.document_root = File.join(File.dirname(__FILE__), 'test_webroot')
CONFIG.resource_file = File.join(CONFIG.document_root, 'resources.yml')
CONFIG.cache_root = File.join(File.dirname(__FILE__), 'test_cache')
CONFIG.index_files = %w{index.html index.htm}

# Resource.base_location = CONFIG.eid.sub(/^dtn/, 'http')
# Resource.resource_yaml = YAML::load_file(CONFIG.resource_file) rescue nil
